Package org.eclipse.net4j.util.om.monitor

# Class AbstractMonitor.AsyncTimerTask

java.lang.Object
java.util.TimerTask
org.eclipse.net4j.util.concurrent.TrackableTimerTask
org.eclipse.net4j.util.om.monitor.AbstractMonitor.AsyncTimerTask

All Implemented Interfaces:
  `Runnable`, `OMMonitor.Async`

Enclosing class:
  AbstractMonitor

public static class AbstractMonitor.AsyncTimerTask extends TrackableTimerTask implements OMMonitor.Async

Author:
  Eike Stepper

## Field Summary

### Fields inherited from class org.eclipse.net4j.util.concurrent.TrackableTimerTask

`TRACK_TIMER_TASKS`

## Constructor Summary

Constructors
Constructor
Description
`AsyncTimerTask(AbstractMonitor parent, double parentWork, double timeFactor)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`cancel()`
`void`
`run()`
`void`
`stop()`

### Methods inherited from class org.eclipse.net4j.util.concurrent.TrackableTimerTask

`getConstructionStackTraces, logConstructionStackTraces`

### Methods inherited from class java.util.TimerTask

`scheduledExecutionTime`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AsyncTimerTask

public AsyncTimerTask(AbstractMonitor parent, double parentWork, double timeFactor)

## Method Details

### run

public void run()

Specified by:
  `run` in interface `Runnable`
Specified by:
  `run` in class `TimerTask`

### stop

public void stop()

Specified by:
  `stop` in interface `OMMonitor.Async`

### cancel

public boolean cancel()

Overrides:
  `cancel` in class `TrackableTimerTask`